- Home
- API Enriched
- Tenant And Identity
- login
- Validate Registration.
Validate Registration.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/login/validate_registration';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","tenant_type":"UNKNOWN","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/login/validate_registration \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "tenant_type": "UNKNOWN", "token": "example" }'ValidateRegistration validates if the signup registration request is valid when a new customer attempts to signup.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”ValidateRegistrationRequest is the request body parameeters required to validate the registration.
object
Email of the user requesting for Required: YES.
Token of the user requesting for Required: YES.
Responses
Section titled “Responses”A successful response.
ValidateRegistrationResponse is the response that indicates if the registration is valid or not. For a brand new registration, the valid_registration is set to true that indicates that signup flow can flow through. In case of an existing user, the valid_registration is set to false.
object
Valid registration flag indicates if the registration is valid.
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example